Subject: Re: [PATCH v2] Make ident dynamic, not just a hardcoded value of "$Id".

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Aug 2021 22:35:46 -0700

Maksym Sobolyev <[email-masked]> writes:

> Junio, I've got rid of the  GIT_MAX_IDENT_LEN in rev3 posted here. You were
> right it was not really necessary.

Sounds good.

> Let me see if there are any more issues with the functional part of the
> change, if not I'll see about changing the structure name from ident_action
> to something more relevant.

I do not think the "structure" should be relevant, not just its name
but its presence.  As I said already, the data (i.e. the name of the
custom token that replaces $Id$) should not come from the attribute
subsystem---it belongs to the config subsystem, I would think.

Thanks.